DKBSignDocs

API reference

POSTRequires Bearer token

Import contacts from CSV

/api/contacts/imports/csv

Multipart. Returns 202 { "job_id": "<uuid>" }. Poll GET /api/contacts/imports/{job_id} (queued → running → done / failed).

mapping is a JSON object (string in multipart) from contact field → CSV column. Suggested headers: first name / prénom, last name / nom, email, phone, title / fonction, company / entreprise.

Rows without email are inserted with extra.possible_duplicate: true.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
file
Required
stringCSV file.
e.g. "example"
mapping
Required
objectRequired column mapping (first_name, last_name, email, phone, title, company).
e.g. {"first_name":"First Name","last_name":"Last Name","email":"Email","phone":"Phone","title":"Title","company":"Company"}
visibility
stringprivate or org for imported rows.
e.g. "private"

Responses

StatusMeaning
202See the example response.
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/contacts/imports/csv' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'file=example' \
  -F 'mapping={"first_name":"First Name","last_name":"Last Name","email":"Email","phone":"Phone","title":"Title","company":"Company"}' \
  -F 'visibility=private'

Response 202

json
{
  "job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}